﻿using System.Windows;

namespace ALFAT.Explorer
{
    /// <summary>
    /// Interaction logic for Read.xaml
    /// </summary>
    public partial class Read : Window
    {
        public Read(string handle, string count)
        {
            this.InitializeComponent();

            this.Handle = handle;
            this.Count = count;
        }

        public string Handle
        {
            get { return this.handleTxt.Text; }
            set { this.handleTxt.Text = value; }
        }

        public string Count
        {
            get { return this.countTxt.Text; }
            set { this.countTxt.Text = value; }
        }

        private void OkayBtn_Click(object sender, RoutedEventArgs e)
        {
            int val;
            if (!int.TryParse(this.Handle, System.Globalization.NumberStyles.HexNumber, null, out val) || val < 0 || val > 15) return;
            if (!int.TryParse(this.Count, System.Globalization.NumberStyles.HexNumber, null, out val) || val < 0) return;

            this.DialogResult = true;
        }

        private void CancelBtn_Click(object sender, RoutedEventArgs e)
        {
            this.DialogResult = false;
        }
    }
}
