﻿using System.Windows;

namespace ALFAT.Explorer
{
    /// <summary>
    /// Interaction logic for Write.xaml
    /// </summary>
    public partial class Write : Window
    {
        public Write(string handle, string count, string data)
        {
            this.InitializeComponent();

            this.Handle = handle;
            this.Count = count;
            this.Data = data;
        }

        public string Handle
        {
            get { return this.handleTxt.Text; }
            set { this.handleTxt.Text = value; }
        }

        public string Count
        {
            get { return this.countTxt.Text; }
            set { this.countTxt.Text = value; }
        }

        public string Data
        {
            get { return this.dataTxt.Text; }
            set { this.dataTxt.Text = value; }
        }

        private void OkayBtn_Click(object sender, RoutedEventArgs e)
        {
            int val;
            if (!int.TryParse(this.Handle, System.Globalization.NumberStyles.HexNumber, null, out val) || val < 0 || val > 15) return;
            if (!int.TryParse(this.Count, System.Globalization.NumberStyles.HexNumber, null, out val) || val < 0) return;

            if (this.Data.Length < val) this.Count = this.Data.Length.ToString("X");

            this.DialogResult = true;
        }

        private void CancelBtn_Click(object sender, RoutedEventArgs e)
        {
            this.DialogResult = false;
        }
    }
}
